Bug 509910 - Shutdown on AC power with low battery
Shutdown on AC power with low battery
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-06 15:55 EDT by Graeme Hilton
Modified: 2009-08-22 03:12 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-22 03:12:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Graeme Hilton 2009-07-06 15:55:38 EDT
Description of problem:
Fedora 11 shutsdown when the battery is low, even if the AC charger is plugged in

Version-Release number of selected component (if applicable):
F11

How reproducible:
All the time.

Steps to Reproduce:
1. Let battery discharge and automatically shutdown EeePC 701
2. Plug in power and immediately boot.
3. Shutdown is triggered after approx 1 minute.

Alternatively:
1. Let battery discharge and automatically shutdown EeePC 701
2. Remove battery and boot from AC adaptor
3. Log into Gnome as usual
4. Insert battery
5. Shutdown triggered after approx 1 minute

Expected results:
Battery will charge until full.  Automatic shutdowns should be cancelled if the AC adaptor is present.

Additional info:
The EeePC has a strange battery reporting format.  It reports full capacity as 5200mAh, but last charge capacity as 100mAh - This should have units of %, but that's another bug.

I'm willing to test patched rpms if they're made available in updates-testing.
Comment 1 Richard Hughes 2009-07-07 05:55:18 EDT
(In reply to comment #0)
> The EeePC has a strange battery reporting format.  It reports full capacity as
> 5200mAh, but last charge capacity as 100mAh - This should have units of %, but
> that's another bug.

This needs to be fixed in the kernel. A last charge capacity so low will be identified as a broken battery by DeviceKit-power, and I'm not surprised that it fails to work properly.
Comment 2 Graeme Hilton 2009-07-07 13:46:00 EDT
Not sure why the battery being identified as broken would cause the machine to shutdown when it's on AC power.
Comment 3 Chuck Ebbert 2009-07-31 01:59:55 EDT
(In reply to comment #2)
> Not sure why the battery being identified as broken would cause the machine to
> shutdown when it's on AC power.  

gnome-power-manager is broken if it shuts down for low battery when AC power is present. Period. No matter what crazy numbers the battery is reporting...
Comment 4 Richard Hughes 2009-08-20 08:30:41 EDT
(In reply to comment #3)
> (In reply to comment #2)
> > Not sure why the battery being identified as broken would cause the machine to
> > shutdown when it's on AC power.  
> 
> gnome-power-manager is broken if it shuts down for low battery when AC power is
> present. Period. No matter what crazy numbers the battery is reporting...  

Sure, and we shouldn't do that anymore.

Does installing the latest gnome-power-manager package in updates-testing (and then rebooting...) fix the problem?
Comment 5 Graeme Hilton 2009-08-21 14:45:16 EDT
Problem appears fixed.

I ran the battery down to nothing then removed it. I plugged in the AC adaptor and let Fedora boot and login.

Plugging in the battery didn't produce a warning that the battery was low, and the Eee PC did not shutdown.

Result!
Comment 6 Richard Hughes 2009-08-22 03:12:41 EDT
Cool, thanks.

Note You need to log in before you can comment on or make changes to this bug.